<!DOCTYPE html>
<html lang="pt">
  {% load static %}
  {% load vstatic %}
  {% load rules %}
  {% load notifications_tags %}
  {% load organizacao_tags %}
  {% if user.is_authenticated %}
    {% has_perm 'admin_geral' user as admin_geral %}
    {% has_perm 'usuaria.administrar' user as pode_administrar_usuaria %}
    {% has_perm 'usuaria.listar' user as pode_listar_usuaria %}
    {% has_perm 'territorio.ver_todos' user as pode_ver_todos_territorios %}
    {% has_perm 'usuaria.administrar_organizacao' user as pode_administrar_organizacao %}
  {% endif %}
  <head>
    <title>
      {% if title %}{{ title }} -{% endif %}
    Painel Tô no Mapa</title>
    <!-- jQuery -->
    <script src="{% vstatic 'main/gentelella/jquery/dist/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% vstatic 'main/js/app.js' %}"></script>
    <script type="text/javascript" src="{% vstatic 'main/js/formchanges.js' %}"></script>
    <!-- Bootstrap -->
    <link href="{% vstatic 'main/gentelella/bootstrap/dist/css/bootstrap.min.css' %}"
          rel="stylesheet" />
    <!-- Font Awesome -->
    <link href="{% vstatic 'main/gentelella/font-awesome/css/font-awesome.min.css' %}"
          rel="stylesheet" />
    <!-- NProgress -->
    <link href="{% vstatic 'main/gentelella/nprogress/nprogress.css' %}"
          rel="stylesheet" />
    <!-- iCheck -->
    <link href="{% vstatic 'main/gentelella/iCheck/skins/flat/green.css' %}"
          rel="stylesheet" />
    <!-- bootstrap-progressbar -->
    <link href="{% vstatic 'main/gentelella/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css' %}"
          rel="stylesheet" />
    <!-- bootstrap-daterangepicker -->
    <link href="{% vstatic 'main/gentelella/bootstrap-daterangepicker/daterangepicker.css' %}"
          rel="stylesheet" />
    <!-- JQVMap -->
    <link href="{% vstatic 'main/gentelella/jqvmap/dist/jqvmap.min.css' %}"
          rel="stylesheet" />
    <!-- Custom Theme Style -->
    <link href="{% vstatic 'main/gentelella/gentelella.css' %}"
          rel="stylesheet" />
    <!-- Datatables -->
    <link href="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-2.0.0/b-3.0.0/b-colvis-3.0.0/b-html5-3.0.0/sp-2.3.0/sl-2.0.0/datatables.min.css"
          rel="stylesheet">
    {% comment %} <link rel="stylesheet" type="text/css" href="{% vstatic 'main/datatables/datatables.css' %}" /> {% endcomment %}
    <!-- Dashboard Theme Style -->
    <link href="{% vstatic 'main/css/dashboard.css' %}" rel="stylesheet" />
    {% block includes %}
    {% endblock includes %}
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!--[if lte IE 8]><script src="/js/ie/html5shiv.js"></script><![endif]-->
    <!--[if lte IE 8]><link rel="stylesheet" href="/css/ie8.css" /><![endif]-->
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Content-Language" content="pt-br" />
    <meta name="description"
          content="{% if description %}{{ description }}{% else %}Dashboard Tô no Mapa - IPAM{% endif %}" />
    <meta name="keywords" content="{{ keywords }}" />
    <meta name="author" content="IPAM" />
    <link rel="shortcut icon"
          href="{% vstatic 'main/img/tonomapa_logo32x32.png' %}" />
    <link rel="apple-touch-icon"
          href="{% vstatic 'main/img/tonomapa_logo192x192.png' %}" />
    <link rel="icon"
          sizes="192x192"
          href="{% vstatic 'main/img/tonomapa_logo192x192.png' %}" />
  </head>
  <script>
var data = {};
var dataEstados = {};
var charts = {};
  </script>
  <body class="nav-sm">
    <div class="container body">
      <div class="main_container">
        {% block sidebar %}
          <div class="col-md-3 left_col">
            <div class="left_col scroll-view">
              <div class="navbar nav_title">
                <a href="{% prefix_url_organizacao %}{% url 'RelatoriosIndex' %}"
                   class="site_title">
                  <img src="{% vstatic 'main/img/logo_branco96x96.png' %}"
                       width="auto"
                       height="50"
                       class="d-inline-block align-top"
                       alt="" />
                  <span>Dashboard</span>
                </a>
              </div>
              <div class="clearfix"></div>
              <!-- sidebar menu -->
              <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
                <div class="menu_section">
                  <ul class="nav side-menu">
                    {% if user.is_authenticated and not user.is_cadastrante %}
                      <li>
                        <a href="{% prefix_url_organizacao %}{% url 'RelatoriosIndex' %}"><i class="fa fa-bar-chart"></i>Panorama</a>
                      </li>
                      <li>
                        <a href="{% prefix_url_organizacao %}{% url 'dashboard-mapa' %}"><i class="fa fa-map-marker"></i>Mapa</a>
                      </li>
                      {% if user.is_parceira %}
                        <li>
                          <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoIndex' %}"><i class="fa fa-table"></i>Comunidades</a>
                        </li>
                      {% else %}
                        <li>
                          <a><i class="fa fa-table"></i>Comunidades <span class="fa fa-chevron-down"></span></a>
                          <ul class="nav child_menu">
                            <li>
                              <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoEmAnaliseIndex' %}">Em análise</a>
                            </li>
                            <li>
                              <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoValidadosIndex' %}">Validadas</a>
                            </li>
                            <li>
                              <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoTestesIndex' %}">De teste</a>
                            </li>
                            <li>
                              <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoIndex' %}">Todas</a>
                            </li>
                          </ul>
                        </li>
                      {% endif %}
                      {% if admin_geral %}
                        <li>
                          <a href="{% url 'organizacao_list' %}">
                            <i class="fa fa-home"></i>Organizações
                          </a>
                        </li>
                      {% endif %}
                      {% if pode_listar_usuaria %}
                        <li>
                          <a href="{% prefix_url_organizacao %}{% url 'usuaria_list' %}">
                            <i class="fa fa-user"></i>Usuárias/os
                          </a>
                        </li>
                        {% comment %}
                            <li>
                                <a href="{% prefix_url_organizacao %}{% url 'MunicipioList' %}"><i class="fa fa-globe"></i>Municípios</a>
                            </li>
                        {% endcomment %}
                      {% endif %}
                      <li>
                        <a href="mapa_publico" target="_blank"><i class="fa fa-globe"></i>Mapa Público</a>
                      </li>
                    {% endif %}
                  </ul>
                </div>
              </div>
              <!-- /sidebar menu -->
              <!-- /menu footer buttons -->
              <div class="sidebar-footer hidden-small">
                {% if user.is_authenticated %}
                  <a data-toggle="tooltip"
                     data-placement="top"
                     title="Sair"
                     href="{% url 'account_logout' %}?next={% prefix_url_organizacao %}{% url 'MainIndex' %}">
                    <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
                  </a>
                {% else %}
                {% endif %}
              </div>
              <!-- /menu footer buttons -->
            </div>
          </div>
        {% endblock sidebar %}
        <!-- top navigation -->
        {% block top_nav %}
          <div class="top_nav">
            <div class="nav_menu">
              <nav class="nav navbar-default">
                <div class="nav toggle">
                  <a id="menu_toggle"><i class="fa fa-bars"></i></a>
                </div>
                {% if user.is_authenticated and not user.is_cadastrante %}
                  {% organizacao_nav_options %}
                {% endif %}
                <ul class="nav navbar-nav navbar-right">
                  {% if user.is_authenticated %}
                    <li>
                      <a href="javascript:;"
                         class="user-profile dropdown-toggle"
                         data-toggle="dropdown"
                         aria-expanded="false">
                        {{ user.get_displayname }}
                        <span class=" fa fa-angle-down"></span>
                      </a>
                      <ul class="dropdown-menu dropdown-usermenu pull-right">
                        {% if pode_administrar_usuaria %}
                          <li>
                            <a href="{% prefix_url_organizacao %}{% url 'usuaria_list' %}">
                              <i class="fa fa-users pull-right"></i>
                              Usuárias/os
                            </a>
                          </li>
                          <li>
                            <a href="{% url 'usuaria_update' user.id %}"><i class="fa fa-user pull-right"></i> Seu perfil e senha</a>
                          </li>
                        {% endif %}
                        <li>
                          <a href="{% url 'account_logout' %}?next={% prefix_url_organizacao %}{% url 'MainIndex' %}"><i class="fa fa-sign-out pull-right"></i> Sair</a>
                        </li>
                      </ul>
                    </li>
                  {% else %}
                    <li>
                      <a href="{% url 'account_login' %}?next={{ request.path }}"><i class="fa fa-sign-in pull-right"></i> Entrar</a>
                    </li>
                  {% endif %}
                  {% if user.is_authenticated and user.is_reviewer %}
                    {% notifications_unread as unread_count %}
                    <li role="presentation" class="dropdown">
                      <a href="#"
                         class="dropdown-toggle info-number"
                         data-toggle="dropdown"
                         aria-expanded="false">
                        <i class="fa fa-envelope-o"></i>
                        {% if unread_count %}
                          {% live_notify_badge badge_class="badge bg-green" %}
                        {% endif %}
                      </a>
                      {% live_notify_list list_class="dropdown-menu list-unstyled msg_list" %}
                    </li>
                  {% endif %}
                </ul>
              </nav>
            </div>
          </div>
        {% endblock top_nav %}
        <!-- /top navigation -->
        <!-- page content -->
        <div class="{% if no_right_col %}no_right_col{% else %}right_col{% endif %}"
             role="main">
          {% block content %}
          {% endblock content %}
        </div>
        <!-- /page content -->
        {% block footer %}
          {% if temFooter %}
            <footer>
              <div class="row">
                <div class="col-12">
                  <p>
                    <b>Dashboard Tô no Mapa</b>. Uma iniciativa do <a href="https://ipam.org.br">Instituto de Pesquisa Ambiental da Amazônia (IPAM)</a> junto ao <a href="https://ispn.org.br">Instituto Sociedade, População e Natureza (ISPN)</a>, com apoio da <a href="https://redecerrado.org.br">Rede Cerrado</a>.
                  </p>
                  <p class="small">
                    Plataforma desenvolvida em software livre pela <a href="https://eita.coop.br">Cooperativa EITA</a>. <i>Código disponível em <a href="https://gitlab.com/eita/tonomapa">gitlab.com/eita/tonomapa</a></i>.
                  </p>
                </div>
              </div>
              <div class="clearfix"></div>
            </footer>
          {% endif %}
        {% endblock footer %}
      </div>
    </div>
    {% block includes_footer %}
    {% endblock includes_footer %}
    <!-- Bootstrap -->
    <script src="{% vstatic 'main/gentelella/bootstrap/dist/js/bootstrap.min.js' %}"></script>
    <!-- FastClick -->
    <script src="{% vstatic 'main/gentelella/fastclick/lib/fastclick.js' %}"></script>
    <!-- NProgress -->
    <script src="{% vstatic 'main/gentelella/nprogress/nprogress.js' %}"></script>
    <!-- Chart.js -->
    <!-- <script src="{% vstatic 'main/js/Chart.min.js' %}"></script> -->
    <!-- Chart datalabels -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.4/dist/Chart.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels@0.7.0"></script>
    <!-- gauge.js -->
    <script src="{% vstatic 'main/gentelella/gauge.js/dist/gauge.min.js' %}"></script>
    <!-- bootstrap-progressbar -->
    <script src="{% vstatic 'main/gentelella/bootstrap-progressbar/bootstrap-progressbar.min.js' %}"></script>
    <!-- iCheck -->
    <script src="{% vstatic 'main/gentelella/iCheck/icheck.min.js' %}"></script>
    <!-- Skycons -->
    <script src="{% vstatic 'main/gentelella/skycons/skycons.js' %}"></script>
    <!-- Flot -->
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.navigate.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.selection.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.pie.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.time.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.stack.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/Flot/jquery.flot.resize.js' %}"></script>
    <!-- Flot plugins -->
    <script src="{% vstatic 'main/gentelella/flot.orderbars/js/jquery.flot.orderBars.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/flot-spline/js/jquery.flot.spline.min.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/flot.curvedlines/curvedLines.js' %}"></script>
    <!-- DateJS -->
    <script src="{% vstatic 'main/gentelella/DateJS/build/date.js' %}"></script>
    <!-- JQVMap -->
    <script src="{% vstatic 'main/gentelella/jqvmap/dist/jquery.vmap.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/jqvmap/dist/maps/jquery.vmap.brazil.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/jqvmap/examples/js/jquery.vmap.sampledata.js' %}"></script>
    <!-- bootstrap-daterangepicker -->
    <script src="{% vstatic 'main/gentelella/moment/min/moment.min.js' %}"></script>
    <script src="{% vstatic 'main/gentelella/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
    <!-- Jquery time ago -->
    <script src="{% vstatic 'main/js/jquery.timeago.js' %}"></script>
    <script src="{% vstatic 'main/js/jquery.timeago.pt-br.js' %}"></script>
    <!-- DataTables -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-2.0.0/b-3.0.0/b-colvis-3.0.0/b-html5-3.0.0/sp-2.3.0/sl-2.0.0/datatables.min.js"></script>
    <script type="text/javascript"
            src="{% vstatic 'main/datatables/button.download.js'%}"></script>
    {% comment %} <script type="text/javascript" src="{% vstatic 'main/datatables/datatables.min.js'%}"></script> {% endcomment %}
    <!-- Custom Theme Scripts -->
    <script src="{% vstatic 'main/gentelella/gentelella.js' %}"></script>
    {% comment %} <script src="{% vstatic 'notifications/notify.js' %}" type="text/javascript"></script>
    <script src="{% vstatic 'main/js/notify-customized.js' %}"
            type="text/javascript"></script> {% endcomment %}
    {% comment %} {% register_notify_callbacks callbacks='fill_notification_list_customized,fill_notification_badge' refresh_period=15 badge_class='badge bg-green' menu_class="dropdown-menu list-unstyled msg_list" %} {% endcomment %}
  </body>
</html>
